- name: Add Spotify repository
  become: yes
  deb822_repository:
    name: spotify
    types: deb
    uris: http://repository.spotify.com
    suites: stable
    components: non-free
    signed_by: https://download.spotify.com/debian/pubkey_C85668DF69375001.gpg
    state: present
    enabled: yes

- name: Install packages
  become: yes
  apt:
    state: latest
    update_cache: true
    install_recommends: false
    name:
      - spotify-client

- name: Ensure that directory for desktop entries exists
  file:
    path: "{{ ansible_env.HOME }}/.local/share/applications"
    recurse: yes
    state: directory

- name: Create Spotify desktop entry
  copy:
    src: "{{ role_path }}/files/spotify.desktop"
    dest: "{{ ansible_env.HOME }}/.local/share/applications/spotify.desktop"
